Settle a Transfer
curl --request POST \
--url https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transfer_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10"
}
'const url = 'https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transfer_id: '9ac6872b-8904-4ea5-beb7-d5a936ffee10'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transfer_id\": \"9ac6872b-8904-4ea5-beb7-d5a936ffee10\"\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle"
payload = { "transfer_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle"
payload := strings.NewReader("{\n \"transfer_id\": \"9ac6872b-8904-4ea5-beb7-d5a936ffee10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"transaction_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Create now, settle later
Settle a Transfer
Settle a previously created transfer payout
POST
/
v1
/
transactions
/
transfer-payout
/
settle
Settle a Transfer
curl --request POST \
--url https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transfer_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10"
}
'const url = 'https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transfer_id: '9ac6872b-8904-4ea5-beb7-d5a936ffee10'})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"transfer_id\": \"9ac6872b-8904-4ea5-beb7-d5a936ffee10\"\n}")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle"
payload = { "transfer_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/transactions/transfer-payout/settle"
payload := strings.NewReader("{\n \"transfer_id\": \"9ac6872b-8904-4ea5-beb7-d5a936ffee10\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"transaction_id": "9ac6872b-8904-4ea5-beb7-d5a936ffee10"
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Body
application/json
Example:
"9ac6872b-8904-4ea5-beb7-d5a936ffee10"
Response
Transfer settled successfully
Show child attributes
Show child attributes
⌘I
